\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{bienal2026}


\LoadClassWithOptions{article}
\RequirePackage{xcolor}

\RequirePackage{graphicx}

\RequirePackage{amssymb,amsmath,amsthm,graphics}
\RequirePackage{fancyhdr}
\RequirePackage{hyperref}






%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%55
\setlength{\oddsidemargin}{-0.1cm}
\setlength{\topmargin}{-1.5cm}
\setlength{\textwidth}{17cm}
\setlength{\textheight}{23cm}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%Encabezados
\pagestyle{fancy}
         \fancyhead{}% delete the default header
         \fancyfoot{}% delete the default footer
         %\fancyhead[LE,RO]{\thepage}
         \fancyhead[C]{\textsf{Congreso Bienal  de la  Real Sociedad Matem\'atica Espa\~{n}ola\\
        Alicante,  19 - 23 enero  2026}}
     \fancyhead[L]{\textsf{Congreso Bienal  de la  Real Sociedad Matem\'atica Espa\~{n}ola\\
    		Alicante,  19 - 23 enero  2026}}
   	\fancyhead[L]{\quad \includegraphics[scale=0.3]{LogoRealSociedad.jpg}}
   	 	\fancyhead[R]{\includegraphics[scale=0.1]{logo.png}}
         \fancyfoot[C]{\thepage}

\renewcommand{\headrulewidth}{0.1pt}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\newcommand\sesion[1]{\begin{center} \Large \textbf{Sesi\'on Especial} \textbf{#1}\end{center}}
\newcommand\titulo[1]{\begin{center} \Large \textbf{#1}\end{center}}
\newcommand\titulosesion[1]{\begin{center}\Large \textbf{#1}\end{center}}
\newcommand\autor[1]{\begin{center} \textsc{#1}\end{center}}
\newcommand\universidad[1]{\begin{center} {#1} \end{center}}
\newcommand\otrosautores[2]{\begin{center} \noindent \textsc{#1}. \textsc{#2} \end{center}}
\newcommand\correo[1]{\begin{center} \href{mailto:{#1}}{#1} \end{center}}
\newcommand\organizador[2]{\noindent \hspace*{0.5cm} $\bullet$ \ \ {#1} ({#2}) \\ }


%%% Bibliografía tamaño
\makeatletter
\renewenvironment{thebibliography}[1]
{\subsubsection*{\refname}%
	\@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}%
	\list{\@biblabel{\@arabic\c@enumiv}}%
	{\settowidth\labelwidth{\@biblabel{#1}}%
		\leftmargin\labelwidth
		\advance\leftmargin\labelsep
		\@openbib@code
		\usecounter{enumiv}%
		\let\p@enumiv\@empty
		\renewcommand\theenumiv{\@arabic\c@enumiv}}%
	\sloppy
	\clubpenalty4000
	\@clubpenalty \clubpenalty
	\widowpenalty4000%
	\sfcode`\.\@m}
{\def\@noitemerr
	{\@latex@warning{Empty `thebibliography' environment}}%
	\endlist}
\makeatother

%Castellano
\newenvironment{Resumen}{\center\begin{minipage}{.9\textwidth}
\textbf{\textit{Resumen.}}\begingroup}{\endgroup\end{minipage}\vskip 2em plus1em minus .5em}

\newenvironment{Agradecimientos}
{\noindent \begin{minipage}[b]{\textwidth}
		\begin{normalsize}
		\textbf{Agradecimientos.} \begingroup}{\endgroup \end{normalsize} \end{minipage}\vskip 2em plus1em minus .5em}
	
	
	
% Ingles	
\newenvironment{Abstract}
{\begin{minipage}{.9\textwidth}
		\textbf{\textit{ Abstract.}}\begingroup}{\endgroup\end{minipage}\vskip 2em plus1em minus .5em}
\newenvironment{Acknowledgments}
{\begin{minipage} {\textwidth}\noindent
		\begin{small}
			\textbf{Acknowledgment.} \begingroup}{\endgroup \end{small} \end{minipage}\vskip 2em plus1em minus .5em}
